Bug Hunting Session
Bug 85897 - SIDEBAR: Make 'Function List' only accessible in sidebar
Summary: SIDEBAR: Make 'Function List' only accessible in sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Functions
  Show dependency treegraph
 
Reported: 2014-11-05 07:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 15:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
what happens when you have the sidebar open and then open the function list (104.54 KB, image/png)
2014-11-05 07:33 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-05 07:33:11 UTC
Created attachment 108930 [details]
what happens when you have the sidebar open and then open the function list

As pressing Insert > Function List in Calc, pops out the function list as a dock similar to the sidebar, lets have it only activate in the fx pane of the sidebar.
Comment 1 V Stuart Foote 2014-11-05 08:06:59 UTC
Yes, but might it need to be a detachable dialog like the Navigator while another Sidebar content panel is active in the deck? 

Little question about needing to do something with this, but it seems like we can't keep pinning things only into the Sidebar, without moving to the next step of allowing multiple Sidebar content panel decks to be torn away and active.
Comment 2 Yousuf Philips (jay) (retired) 2014-11-30 04:33:20 UTC
I believe most calc users arent heavy into styles, navigator or function list, so i dont think this change would negatively effect any user, as the function list by default loads in the sidebar area, and doubt people would be undocking it.
Comment 4 Samuel Mehrbrodt (CIB) 2014-12-05 12:38:27 UTC
This is not yet completed. The function list will open in the sidebar now, but the old ScFunctionChildWindow is still there.

There is a dependency in http://opengrok.libreoffice.org/xref/core/sc/source/ui/app/scmod.cxx#783 but I don't know how change it to access the InitLRUList() function from the sidebar without using the ScFunctionChildWindow.
Comment 5 Samuel Mehrbrodt (CIB) 2015-11-20 14:30:16 UTC
Marking this as fixed now. The remaining bit is a cleanup task, not deserving an open bug report.